Bug 431634 - irq21 disabled, related to bluetooth?, followed by usb disk problems
irq21 disabled, related to bluetooth?, followed by usb disk problems
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-05 21:53 EST by Kai Engert (:kaie) (on vacation)
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 10:58:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cpuinfo, lspci, lsusb (57.16 KB, text/plain)
2008-02-05 21:56 EST, Kai Engert (:kaie) (on vacation)
no flags Details

  None (edit)
Description Kai Engert (:kaie) (on vacation) 2008-02-05 21:53:40 EST
I'm using an IBM R61 laptop, several weeks old, Intel Core Duo, 4 GB ram, Fedora
8 i386, runs absolutely stable, including USB devices like keyboard, mouse,
sound, external disks.

When enabling any Bluetooth device (either the built on, or using an USB dongle
(tried 2 different ones)), then after a while I get a notification message that
is broadcasted to all terminal windows and pops up in a X window.

The messages says IRQ #21 is now being disabled.
Details:
  kernel: irq 21: nobody cared (try booting with the "irqpoll" option)
  kernel:  [<c045b17a>] __report_bad_irq+0x36/0x75
  kernel:  [<c045b390>] note_interrupt+0x1d7/0x213
  kernel:  [<c057b025>] usb_hcd_irq+0x21/0x4e
  kernel:  [<c045a817>] handle_IRQ_event+0x23/0x51
  kernel:  [<c045bb1b>] handle_fasteoi_irq+0x86/0xa6
  kernel:  [<c045ba95>] handle_fasteoi_irq+0x0/0xa6
  kernel:  [<c04074c3>] do_IRQ+0x8c/0xb9
  kernel:  [<c0526266>] acpi_hw_register_read+0xf1/0x156
  kernel:  [<c0405b6f>] common_interrupt+0x23/0x28
  kernel:  [<c053828a>] acpi_idle_enter_bm+0x279/0x2ee
  kernel:  [<c05a2551>] cpuidle_idle_call+0x5c/0x7f
  kernel:  [<c05a24f5>] cpuidle_idle_call+0x0/0x7f
  kernel:  [<c040340b>] cpu_idle+0xab/0xcc
  kernel:  =======================
  kernel: handlers:
  kernel: [<c057b004>] (usb_hcd_irq+0x0/0x4e)
  kernel: Disabling IRQ #21


After that message I'm unable to access external USB disks, or have trouble to
access it.

I tried to mount an external USB partition, but it stalled.

Another time I saw about a dead I/O device.

Yet another time I saw these messages in dmesg:
  kernel: WARNING: at fs/inotify.c:172 set_dentry_child_flags() (Not tainted)

  kernel:  [<c04a3e53>] set_dentry_child_flags+0x67/0x13d

  kernel:  [<c04a4043>] remove_watch_no_event+0x2f/0x3b

  kernel:  [<c04a4131>] inotify_remove_watch_locked+0x12/0x3e

  kernel:  [<c061e373>] mutex_lock+0x1a/0x29

  kernel:  [<c04a43f9>] inotify_rm_wd+0x6d/0x8a

  kernel:  [<c04a47cd>] sys_inotify_rm_watch+0x38/0x4f

  kernel:  [<c040518a>] syscall_call+0x7/0xb

  kernel:  =======================

  kernel: WARNING: at fs/inotify.c:172 set_dentry_child_flags() (Not tainted)

  kernel:  [<c04a3e53>] set_dentry_child_flags+0x67/0x13d

  kernel:  [<c04a3fe2>] inotify_add_watch+0xb9/0xeb

  kernel:  [<c04a4def>] sys_inotify_add_watch+0x10a/0x143

  kernel:  [<c045904e>] audit_syscall_entry+0x10d/0x137

  kernel:  [<c0407f4d>] do_syscall_trace+0xd7/0xde

  kernel:  [<c040518a>] syscall_call+0x7/0xb

  kernel:  =======================

  kernel: WARNING: at fs/inotify.c:172 set_dentry_child_flags() (Not tainted)

  kernel:  [<c04a3e53>] set_dentry_child_flags+0x67/0x13d

  kernel:  [<c04a4043>] remove_watch_no_event+0x2f/0x3b

  kernel:  [<c04a4131>] inotify_remove_watch_locked+0x12/0x3e

  kernel:  [<c061e373>] mutex_lock+0x1a/0x29

  kernel:  [<c04a43f9>] inotify_rm_wd+0x6d/0x8a

  kernel:  [<c04a47cd>] sys_inotify_rm_watch+0x38/0x4f

  kernel:  [<c040518a>] syscall_call+0x7/0xb

  kernel:  =======================

  kernel: WARNING: at fs/inotify.c:172 set_dentry_child_flags() (Not tainted)

  kernel:  [<c04a3e53>] set_dentry_child_flags+0x67/0x13d

  kernel:  [<c04a3fe2>] inotify_add_watch+0xb9/0xeb

  kernel:  [<c04a4def>] sys_inotify_add_watch+0x10a/0x143

  kernel:  [<c045904e>] audit_syscall_entry+0x10d/0x137

  kernel:  [<c0407f4d>] do_syscall_trace+0xd7/0xde

  kernel:  [<c040518a>] syscall_call+0x7/0xb

  kernel:  =======================


[kaie@r61fast:~]$ uname -a
Linux r61fast 2.6.23.14-107.fc8 #1 SMP Mon Jan 14 21:37:30 EST 2008 i686 i686
i386 GNU/Linux
Comment 1 Kai Engert (:kaie) (on vacation) 2008-02-05 21:56:07 EST
Created attachment 294071 [details]
cpuinfo, lspci, lsusb
Comment 2 Jon Stanley 2008-02-05 22:39:09 EST
did you try the irqpoll option as suggested in the message?  Did it have any effect?
Comment 3 Jon Stanley 2008-02-05 22:40:11 EST
Also, can you attach /proc/interrupts?
Comment 4 Chuck Ebbert 2008-02-06 10:58:55 EST
Known BIOS bug. Should be fixed by the latest update. Please re-open the bug if not.
Comment 5 Kai Engert (:kaie) (on vacation) 2008-02-07 00:56:50 EST
Confirmed, it works fine after a BIOS upgrade, thanks!

Note You need to log in before you can comment on or make changes to this bug.